// Alex Huddleston
// Breakthrough Client in Java

import java.io.IOException;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.Scanner;
import java.io.DataInputStream;

public class Client {
	public static void main (String[] args) {
		Scanner keyboard = new Scanner(System.in);
		String hostname = args[0];
		int portnum = Integer.parseInt(args[1]);
		//keyboard.nextLine(); // used to buffer out extra space.
		
		try {
			Socket echoSocket = new Socket(hostname, portnum);
			PrintWriter output = new PrintWriter(echoSocket.getOutputStream(), true);
			BufferedReader in = new BufferedReader(new InputStreamReader(echoSocket.getInputStream()));
			BufferedReader stdIn = new BufferedReader(new InputStreamReader(System.in));
			
			String userInput;
			char[] b = new char[256];
			in.read(b, 0, 256);
			System.out.println("Response:\n" + b);
			
			while((userInput = stdIn.readLine()) != null) {
				output.println(userInput);
				output.flush();
				char[] buffer = new char[256];
				in.read(buffer, 0, 256);
				System.out.println(buffer);
				System.out.println("testing.");
			}
			
		}
		
		catch (IOException e){
			System.err.println("IOException: " + e.getMessage());
		}
	}
}